# Gtk::StockID Class Reference

See also Gtk::BuiltinStockID. More...

Collaboration diagram for Gtk::StockID:
[legend]

List of all members.

## Public Member Functions
| StockID ()
| Create an empty StockID.
| StockID (const BuiltinStockID& id)
| Create a StockID from one of the build-in stock ids.
| StockID (const Glib::ustring& id)
| Create a StockID from its string representation.
| StockID (const char* id)
| Create a StockID from its string representation.
| ~StockID ()
| StockID (const StockID& other)
| Create a StockID as copy from another.
StockID& | operator= (const StockID& other)
| Check if the StockIDs are equal.
| operator bool () const
| Tests whether the StockID is not empty.
bool | equal (const StockID& rhs) const
| Check if two StockIDs are equal.
Glib::ustring | get_string () const
| Get the string representation of the StockID.
const char* | get_c_str () const
| Get the string representation as a const gchar*.
## Protected Attributes
Glib::ustring | id_

## Detailed Description

See also Gtk::BuiltinStockID.

## Constructor & Destructor Documentation

Gtk::StockID::StockID | ( |  | ) |

Create an empty StockID.

Gtk::StockID::StockID | ( | const BuiltinStockID& | id | ) |

Create a StockID from one of the build-in stock ids.

See also Gtk::BuildinStockID.

Gtk::StockID::StockID | ( | const Glib::ustring & | id | ) | `[explicit]`

Create a StockID from its string representation.

Parameters:

  | id | string representation of the stock id. Usually something like "gtk-about".

Gtk::StockID::StockID | ( | const char * | id | ) | `[explicit]`

Create a StockID from its string representation.

Parameters:

  | id | string representation of the stock id. Usually something like "gtk-about".

If id is 0 an empty StockID will be created.

Gtk::StockID::~StockID | ( |  | ) |

Gtk::StockID::StockID | ( | const StockID& | other | ) |

Create a StockID as copy from another.

Parameters:

  | other,: | StockID to copy.

## Member Function Documentation

bool Gtk::StockID::equal | ( | const StockID& | rhs | ) | const

Check if two StockIDs are equal.

Parameters:

  | rhs | Another StockID.

Returns:
  `true` if both ids equal - `false` otherwise.

const char* Gtk::StockID::get_c_str | ( |  | ) | const

Get the string representation as a const gchar*.

Returns:
  string representation as const gchar*.

Glib::ustring Gtk::StockID::get_string | ( |  | ) | const

Get the string representation of the StockID.

Returns:
  something like "gtk-about".

Gtk::StockID::operator bool | ( |  | ) | const

Tests whether the StockID is not empty.

StockID& Gtk::StockID::operator= | ( | const StockID& | other | ) |

Check if the StockIDs are equal.

Parameters:

  | other | Another StockID.

## Member Data Documentation

Glib::ustring Gtk::StockID::id_`[protected]`

The documentation for this class was generated from the following file:

- gtkmm/stockid.h